open_system('reaktor2');
sim('reaktor2',300);
bdclose('reaktor2')
%%%  nvrh fuzzy systemu
%%%  vstup cas vystup teplota reakcnej zmesi
y=data(:,1);q=data(:,2);t=data(:,3);
trnData=[t y];

numMFs = 7;
    mfType = 'trimf';
    epoch_n = 1;
    in_fismat = genfis1(trnData,numMFs,mfType);
    writefis(in_fismat,'identif');
    a=readfis('identif');
    plotmf(a,'input',1)
    out_fismat = anfis(trnData,in_fismat,3); 
    writefis(out_fismat,'fsgenfis1');
    ew=evalfis(t,out_fismat);
    figure
    plot(t,y,t,ew),xlabel('t'), ylabel('y')
    legend('Training Data','ANFIS Output')
    
ruleview('fsgenfis1')
surfview('fsgenfis1')
fismat=readfis('fsgenfis1.fis');

open_system('fs1vstupskok');
sim('fs1vstupskok',300);

figure
plot(sys(:,1),sys(:,2),'m',sys(:,1),sys(:,3),'b')
legend('fuzzy model','s-funkcia')
title('genfis1')

%%%%  udaje zo simulcie
t1=sys(:,1);
ygenfis1skoky=sys(:,2);
