open_system('reaktor');
sim('reaktor',1000);
bdclose('reaktor')
%%%%  nvrh fuzzy systemu pomocou genfis1

%%%%  vstup cas vystup teplota reakcnej zmesi
y=data(:,1);q=data(:,2);t=data(:,3);
trnData=[t y];

numMFs = 7;
    mfType = 'gauss2mf';
    epoch_n = 1;
    in_fismat = genfis1(trnData,numMFs,mfType);
    writefis(in_fismat,'identif');
    a=readfis('identif');
    plotmf(a,'input',1)
    out_fismat = anfis(trnData,in_fismat,3); 
    writefis(out_fismat,'fis1');
    a=readfis('fis1');
    ew=evalfis(t,out_fismat);
  
    figure
    plot(t,y,t,ew),xlabel('t'), ylabel('y')
    legend('Training Data','ANFIS Output')
  
ruleview('fis1')
surfview('fis1')
fismat1=readfis('fis1.fis');
type fis1.fis

%%%%%   genfis 2

y=data(:,1);q=data(:,2);t=data(:,3);
x=[t];
  out_fismat =genfis2(x,y,0.1 );
    writefis(out_fismat,'fis2');
    %type gfis1.fis
    [ep,irr,orr,arr]=evalfis(x,out_fismat);
    % save ew1.dat ew -ascii
    figure
    plot(t,y,t,ep);
    legend('Training Data','genfis2 Output');pause
    e=ep-y;plot(t,e);legend('chyba');
%    s1=sum(e);   s2=sum(e.*e);    s3=sum(abs(e));
%    fprintf('s1 s2 s3');[s1 s2 s3]
ruleview('fis2')
surfview('fis2')
fismat2=readfis('fis2');
type fis2.fis


open_system('fusysnk');
sim('fusysnk',1000);
figure
plot(sys(:,1),sys(:,2),'g',sys(:,1),sys(:,3),'b',sys(:,1),sys(:,4),'r')
legend('genfis1','genfis2','nameran')

% %%%%  udaje yo simul8cie
ygenfis1=sys(:,2);
ygenfis2=sys(:,3);
