cVa=4.22; 
vv=328; 
vcv=298;
q=0.015;
qc=0.004;
ro=1020;
roc=998; 
cp=4.02; 
cpc=4.182;
V=0.23; 
Vc=0.21;
A=1.51; 
alfa=42.8; 
g1=9850;
g2=22019;
drH1=-8.6*10^4; 
drH2=-1.82*10^4;
k1n=1.55*10^11; 
k2n=4.55*10^25;
v1=273:0.1:380;
for i=1:length(v1)
    vc=(qc*roc*cpc*vcv+A*alfa*v1(i))/(qc*roc*cpc+A*alfa);
    Qod(i)=-q*ro*cp*vv-A*alfa*vc+(q*ro*cp+A*alfa)*v1(i);
    ca=q*cVa/(q+V*k1n*exp(-g1/v1(i))+V*k2n*exp(-g2/v1(i)));
    Qgen(i)=-(V*k1n*exp(-g1/v1(i))*ca*drH1 + V*k2n*exp(-g2/v1(i))*ca*drH2);
    cb=V*k1n*exp(-g1/v1(i))*ca/q;
    cc=V*k2n*exp(-g2/v1(i))*ca/q;
    cb1(i)=cb;
    cc1(i)=cc;
    ca1(i)=ca;
    vc1(i)=vc;
end

%vykreslenie priebehu Qod a Qgen

plot(v1,Qod,v1,Qgen);
legend('Qod','Qgen');
xlabel('v');
ylabel('Qod, Qgen');
