function y=rovstav(x)
cVa=4.22;
vv=328; 
vcv=298; 
q=0.015;
qc=0.004; 
ro=1020; 
roc=998; 
cp=4.02; 
cpc=4.182;
V=0.23;
Vc=0.21; 
A=1.51; 
alfa=42.8;
g1=9850;
g2=22019;
drH1=-8.6*10^4; 
drH2=-1.82*10^4;
k1n=1.55*10^11; 
k2n=4.55*10^25;


y(1)=q*cVa-V*k1n*exp(-g1/x(4))*x(1)-V*k2n*exp(-g2/x(4))*x(1)-q*x(1);
y(2)=V*k1n*exp(-g1/x(4))*x(1)-q*x(2);
y(3)=V*k2n*exp(-g2/x(4))*x(1)-q*x(3);
y(4)=q*ro*cp*vv-q*ro*cp*x(4)-V*k1n*exp(-g1/x(4))*x(1)*drH1-V*k2n*exp(-g2/x(4))*x(1)*drH2-A*alfa*(x(4)-x(5));
y(5)=qc*roc*cpc*vcv+A*alfa*(x(4)-x(5))-qc*roc*cpc*x(5);